All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.ranking
Interface RelationalRankingSelectorInterface

All Superinterfaces:
  RankingSelectorInterface

All Known Implementing Classes:
  RelationalRankingSelectorAdapter

    public interface RelationalRankingSelectorInterface

extends RankingSelectorInterface

Represents an adapter for the Ranking Selector that deals with non multidimensional data (usually called relational or jdbc data).

Since:
  3.1

Field Summary

Fields inherited from interface com.sas.dataselectors.ranking.RankingSelectorInterface
`NO_RANK`

Method Summary
`java.util.Map` | `rankableColumnNames()` Returns the list of the columns that can be ranked.
`java.lang.String` | `rankingColumnName()` Returns the name of the column to rank.
`void` | `rankingColumnName(java.lang.String columnName)` Sets the name of the column to rank.

Methods inherited from interface com.sas.dataselectors.ranking.RankingSelectorInterface
`countRankTypeValue, dataItemRankStatus, getIncludeTies, getIncludeTies, getLocale, getLocalizedInfoText, getLocalizedText, getModel, includeTies, includeTies, includeTies, percentageRanking, percentageRanking, rankingCount, rankingCount, rankOrder, rankType, rankType, rankType, rankTypes, rankValue, setIncludeTies, setLocale, setModel, topRanking, topRanking, valuesFromDataModel, valuesFromDataModel`

Method Detail

### rankableColumnNames

    java.util.Map rankableColumnNames()

  Returns the list of the columns that can be ranked.

  Returns:
    the columns that can be ranked. In the Map there's one element for each rankable column, for each element in the map its key is the column label and its value is the column name

### rankingColumnName

    void rankingColumnName(java.lang.String columnName)

  Sets the name of the column to rank.

  Parameters:
    `columnName` - The name of the column to rank

### rankingColumnName

    java.lang.String rankingColumnName()

  Returns the name of the column to rank.

  Returns:
    the name of the column to rank

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.